Bug 365001 - [Run Level 3] ignores /etc/sysconfig/i18n.
[Run Level 3] ignores /etc/sysconfig/i18n.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 22:10 EDT by sangu
Modified: 2014-03-16 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-05 20:16:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2007-11-02 22:10:55 EDT
Description of problem:
$ cat /etc/sysconfig/i18n 
LANG="ko_KR.UTF-8"
SYSFONT="lat0-sun16"

$ locale 
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

$ cat .i18n 
export MOZ_ENABLE_PANGO=1

Version-Release number of selected component (if applicable):
8.60-1

How reproducible:
always

Steps to Reproduce:
1. Boot in run level 3
2.
3.
  
Actual results:


Expected results:


Additional info:
/etc/sysconfig/i18n works on Run Level 5.
Comment 1 Bill Nottingham 2007-11-05 20:16:01 EST
Korean (and Japanese, Chinese, etc.) is ignored in runlevel 3 as it can't be
properly displayed on the console.
Comment 2 sangu 2007-11-05 20:58:10 EST
O.K.
Then  what is solution in startx(run level 3)? 
Maybe edit ~/.i18n?
Comment 3 Bill Nottingham 2007-11-05 22:22:32 EST
There isn't really one - why do you need to boot up in a locale that it can't
display?

Note You need to log in before you can comment on or make changes to this bug.